Package picard.analysis

## Class CollectWgsMetrics.WgsMetricsCollector

- java.lang.Object
- - picard.analysis.AbstractWgsMetricsCollector<htsjdk.samtools.util.SamLocusIterator.RecordAndOffset>
  - - picard.analysis.CollectWgsMetrics.WgsMetricsCollector

- Direct Known Subclasses:
    `CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector`
  Enclosing class:
    CollectWgsMetrics

      protected static class CollectWgsMetrics.WgsMetricsCollector
      extends AbstractWgsMetricsCollector<htsjdk.samtools.util.SamLocusIterator.RecordAndOffset>

- - ### Field Summary

    - ### Fields inherited from class picard.analysis.AbstractWgsMetricsCollector

      `counter, coverageCap, highQualityDepthHistogramArray, intervals, unfilteredBaseQHistogramArray, unfilteredDepthHistogramArray`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WgsMetricsCollector​(CollectWgsMetrics metrics, int coverageCap, htsjdk.samtools.util.IntervalList intervals)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInfo​(htsjdk.samtools.util.AbstractLocusInfo<htsjdk.samtools.util.SamLocusIterator.RecordAndOffset> info, htsjdk.samtools.reference.ReferenceSequence ref, boolean referenceBaseN)` | Accumulates the data from AbstractLocusInfo in inner structures

    - ### Methods inherited from class picard.analysis.AbstractWgsMetricsCollector

      `addBaseQHistogram, addToMetricsFile, getHighQualityDepthHistogram, getHistogram, getMetrics, getUnfilteredBaseQHistogram, getUnfilteredDepthHistogram, setCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WgsMetricsCollector

          public WgsMetricsCollector​(CollectWgsMetrics metrics,
                                     int coverageCap,
                                     htsjdk.samtools.util.IntervalList intervals)

  - ### Method Detail

    - #### addInfo

          public void addInfo​(htsjdk.samtools.util.AbstractLocusInfo<htsjdk.samtools.util.SamLocusIterator.RecordAndOffset> info,
                              htsjdk.samtools.reference.ReferenceSequence ref,
                              boolean referenceBaseN)

      Description copied from class: `AbstractWgsMetricsCollector`
      Accumulates the data from AbstractLocusInfo in inner structures
      Specified by:
        `addInfo` in class `AbstractWgsMetricsCollector<htsjdk.samtools.util.SamLocusIterator.RecordAndOffset>`
      Parameters:
        `info` - `AbstractLocusInfo` with aligned to reference position reads
        `ref` - `ReferenceSequence`
        `referenceBaseN` - true if current the value of reference base represents a no call